/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Death on Oct-30-2011 08:24:12pm
Filepath: scripts\_custom\events and scenarios\Halloween2011\Candy\BlackLicorice.cs
Lines of code: 32
***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class BlackLicorice : BaseCandy
	{
		[Constructable]
		public BlackLicorice() : this( 1 )
		{
		}
	
		[Constructable]
		public BlackLicorice( int amount ) :  base("Black Licorice", 3978, 1175)
		{
			Weight = 0.1;
			Stackable = true;
			Amount = amount;
		}

		public BlackLicorice( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}